#
# spec file for package python-pyparsing
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyparsing
Version:        2.1.10
Release:        0
Url:            http://pyparsing.wikispaces.com/
Summary:        Grammar Parser Library for Python
License:        MIT and GPL-2.0+ and GPL-3.0+
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pyparsing/pyparsing-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python
Provides:       python-parsing = %{version}
Obsoletes:      python-parsing < %{version}
BuildArch:      noarch

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package doc
Summary:        Grammar Parser Library for Python - Documentation
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This package contains the documentation of %{name}

%prep
%setup -q -n pyparsing-%{version}

%build
python setup.py build
# Fix wrong EOL encoding:
sed -i 's/\r$//' CHANGES LICENSE README examples/*py

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc docs/* examples

%changelog
